<template>
    <!-- 移动端 -->
    <div class="sm:hidden w-full bg-white mb-3 " v-if="ad">
      <el-carousel indicator-position="none">
        <el-carousel-item v-for="(item,index) in ad?.imageList" :key="index">
          <el-image :src="item.url" />
        </el-carousel-item>
      </el-carousel>
    </div>
</template>

<script setup lang="ts">
import type {CompanyParam} from "~/api/system/company/model";
import type {CmsAd} from "~/api/cms/cmsAd/model";
import {pageCmsAd} from "~/api/cms/cmsAd";

const props = withDefaults(
    defineProps<{
      config?: any;
      list?: any[];
      disabled?: boolean;
      title?: string;
      comments?: string;
    }>(),
    {
      title: '卡片标题',
      comments: '卡片描述'
    }
);

const emit = defineEmits<{
  (e: 'done'): void;
}>();

const ad = ref<CmsAd>();

// 搜索表单
const where = reactive<CompanyParam>({
  keywords: ''
});

// 请求数据
const reload = async () => {
  pageCmsAd({
    type: 1,
    lang: getLang()
  }).then(res => {
    if(res){
      ad.value = res.list[0];
    }
  })
}

watch(
    () => props.config,
    () => {
      reload();
    },
    {immediate: true}
);
</script>

<style>
.el-carousel__container{
  height: 240px !important;
}
</style>
